import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 系统设置-system
import category from '@common/src/store/system/category';
import code from '@common/src/store/system/code';
import role from '@common/src/store/system/role';
// 用户设置-user
import admin from '@common/src/store/user/admin';
import personal from '@common/src/store/user/personal';
import organization from '@common/src/store/user/organization';
import expert from '@common/src/store/user/expert';
// 信息类数据管理
// 产品信息
import product from '@common/src/store/news/product';
import column from '@common/src/store/news/column';
import news from '@common/src/store/news/news';
// e专利
import patentinfo from '@common/src/store/patent/patent';
// 专利交易
import patenttrans from '@common/src/store/patent/trans';
// 展会
// 科技成果
import dock from '@common/src/store/dock/dock';
import dockTranscation from '@common/src/store/dock/dockTranscation';
// 培训问诊
import trainLive from '@common/src/store/consultation/trainLive';
// 科技频道
import channel from '@common/src/store/channel/channel';
// 科教之旅-订单表
import kjzlOrder from '@common/src/store/kjzl/kjzlOrder';
// 科教之旅-机构表
import kjzlMedium from '@common/src/store/kjzl/kjzlMedium';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    category,
    code,
    role,
    admin,
    personal,
    organization,
    expert,
    product,
    column,
    news,
    patentinfo,
    patenttrans,
    dock,
    dockTranscation,
    trainLive,
    channel,
    kjzlOrder,
    kjzlMedium,
  },
});
